Skip to main content
POST
/
api
/
oauth
/
token
OAuth2 client credentials token endpoint
curl --request POST \
  --url https://app.sphinxhq.com/api/oauth/token/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "client_secret": "<string>",
  "grant_type": "client_credentials"
}
'
{
  "access_token": "<string>",
  "token_type": "<string>",
  "expires_in": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

client_id
string<uuid>
required
client_secret
string
required
grant_type
enum<string>
required
  • client_credentials - client_credentials
Available options:
client_credentials

Response

200 - application/json
access_token
string
required
token_type
string
required
expires_in
integer
required